Create a transcript for a profile's role in a class or course
Creates a transcript for a student's role in a class or a course. For a class role, the transcript is pre-populated with all courses from the class's study plan in an unregistered state. For a course role, the transcript is created for that single course with its subject registered. Roles whose context is neither a class nor a course return a 422 error.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
- Type: stringrole
_id requiredUnique identifier of the role.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/profiles/profiles/{profile_id}/roles/{role_id}/transcript
curl https://ff-business-school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles/507f1f77bcf86cd799439011/transcript \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "69e0a8429a52af33ee4f217e",
"name": "Program for Executive Development PED class",
"context_id": "58d8c87d72bbfd05b20002c5",
"study_plan_id": "664cc3fe9a52af742f49d429",
"transcript_subjects": [],
"profile": {
"id": "6385bdd4976a7719120108e9",
"first_name": "Sophie",
"last_name": "Martin",
"roles": [],
"created_at": 1709597233000,
"updated_at": 1709597233000,
"updated_data_at": 1709597233000
},
"credits": null,
"required_credits": null,
"total_credits": 0,
"registered_credits": 0,
"registered_not_awarded_credits": 0,
"awarded_credits": 0,
"missing_credits": 0,
"curricular_grade": null,
"study_plan_max_final_grade": null,
"curricular_grade_percentage": null,
"degree_class": null
}